//----------------------------------------------------------------------------
//  Project BmpMenuSDIApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuSDIApp Application
//  FILE:         bmpmenusdiappaboutdlg.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuSDIAppAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenusdiappaboutdlg_h)              // Sentry, use file only if it's not already included.
#define bmpmenusdiappaboutdlg_h

#include <owl/static.h>

#include "sdi/bmpmenusdiapp.rh"                  // Definition of all resources.


//{{TDialog = TBmpMenuSDIAppAboutDlg}}
class TBmpMenuSDIAppAboutDlg : public TDialog {
  public:
    TBmpMenuSDIAppAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TBmpMenuSDIAppAboutDlg();

//{{TBmpMenuSDIAppAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TBmpMenuSDIAppAboutDlgVIRTUAL_END}}
};    //{{TBmpMenuSDIAppAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // bmpmenusdiappaboutdlg_h sentry.
